<?php
namespace greenweb_globals;
 
const option = 'apart_prefix';
const optiUrl = 'https://opti.seenthis.co/';
const latest = '/loader/latest.js';
const optiEnd = '/t?';
const pluginName = 'Sitestream';
const baseName = 'sitestream';
const rootFolder = 'greenweb';
const version = '1.1.3';

class greenweb_settings{
    public $option;
    public $prefix;
    public $url;
    public $latestUrl;
    public $optiUrl;
    public $seenthis;
    public $replace;
    public $pluginDir;

    public function __construct(){
        $this->option = option;
        $this->prefix = get_option(option);
        $this->url = optiUrl . $this->prefix;
        $this->latestUrl = $this->url  . latest;
        $this->optiUrl = $this->url  . optiEnd;
        $this->seenthis = 'opti.seenthis.co';
        $this->replace = ['http' => $this->optiUrl . 'http'];
        $this->pluginDir = plugin_dir_path( __FILE__ );
        $this->pluginUrl = plugins_url() . '/' . baseName;
    }
}
